Skip to main content
POST
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
personas
/
select-persona
Select Persona
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/personas/select-persona \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "personaId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "creativityLevel": 0.5
}
'
{
  "success": true,
  "message": "Persona selected successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Customer Service Bot",
    "description": "A friendly customer service representative",
    "instructions": "You are a customer service representative...",
    "creativityLevel": 0.7,
    "deletable": false,
    "isActive": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json
personaId
string

ID of an existing persona to activate

title
string

Title of the persona to activate or create

Maximum string length: 50
description
string | null

Description of the persona (required if creating a new persona)

instructions
string

System instructions (required if creating a new persona)

creativityLevel
number<float>

Creativity level (0 = deterministic, 1 = creative)

Required range: 0 <= x <= 1

Response

Persona selected successfully

success
boolean
Example:

true

message
string
Example:

"Persona selected successfully"

data
object